/**
 * @file
 * Our services.
*/

.our-services {
  .row {
    .path-frontpage & {
      @include media-breakpoint-up(lg) {
        background-image: url(../images/service-bg.jpg);
        background-size: cover;
        background-repeat: no-repeat;
        margin-bottom: rem(100);
      }      
    }
  }
  &__items {
    color: $white;
    text-align: center;
    background-color: $blue;
    margin-bottom: rem(100);

    @include media-breakpoint-up(md) {
      &:not(:last-child) {
        &::after {
          content: '';
          position: absolute;
          background: #fff;
          height: 80%;
          width: 1px;
          right: 0;
          opacity: 0.2;
          top: 50%;
          transform: translateY(-50%);
        }
      }
    }
    .path-frontpage & {
      @include media-breakpoint-up(lg) {
        margin-bottom: 0;
        background-color: rgba($black, 0.35);
      }
    }
  }

  &__inner {
    padding: 0 0 rem(50);
    flex-direction: column;
    @include flex();

    h4 {
      color: $yellow;
      font-size: $h4-size;
      padding: 0 0 rem(8);
      font-family: $font-verdana-bold;
      @include relative();

      &:after {
        content: '';
        width: rem(99);
        max-width: 100%;
        height: rem(2);
        margin: auto;
        background-color: $yellow;
        @include absolute(bottom 0 right 0 left 0);
      }
    }

    p {
      line-height: rem(25);
      margin-bottom: rem(30);
      @include fontSize(14);
    }

    .btn {
      margin: auto auto 0;
    }
  }

  &--icon {
    width: rem(100);
    height: rem(100);
    padding: rem(15);
    background-color: $gray-100;
    border: rem(10) solid $white;
    margin: rem(-50) auto rem(20);
    @include flex(center, center);
    @include border-radius(50%);
  }
}
